# Desktop Ubuntu

![tag](ubuntu)
![category](ubuntu)


outil a installer par défaut

```
apt-get install vim
apt-get install htop
apt-get install simple-scan
apt-get install foliate
apt-get install python3-pip
apt-get install python-is-python3
apt-get install git-all
apt-get install libgdk-pixbuf-2.0-0
apt-get install gnome-tweaks
apt-get install gnome-shell-extension-ubuntu-dock
apt-get install nfs-common
apt-get install sound-juicer
apt-get install gnome-shell-extension-prefs
dpkg --add-architecture i386 && apt-get update && apt-get install wine32:i386
apt-get install wine32
apt-get install sshd
apt-get install net-tools
apt-get install anacron
apt-get install solaar
```

penser à modifier ssh pour se connecter en root

a installer en suivant le site de docker

> apt-get install docker-ce docker-ce-cli containerd.io docker-buildx-plugin docker-compose-plugin

a télécharger puis installer via dpkg

- chrome
- codium
- XnViewMP
- pdfsam
- picasa3 (par wine)

Dans chrome ajouter l'extension bitwarden et gnome-shell-extension.

J'installe aussi les applications chrome whatsapp, navidrome, code-server.

On peut ajouter depuis https://extensions.gnome.org/ les extensions open-weather

dans les préférences de gnome

- rajouter le raccourcit win+r qui doit lancer Système/Afficher la fenetre pour lancer une commande
- rajouter le raccourcit win+e qui lanceur/Dossier Personnel
- placer le dock en bas
- desactiver l'affichage du dossier personnel sur le bureau

ajouter un raccourcit notepad

> cd /usr/bin/
> ln -s gnome-text-editor notepad

j'ai ajouter le theme Orchis https://www.gnome-look.org/p/1357889 dans $HOME/.themes et le theme icon Tela https://www.gnome-look.org/p/1279924 dans $HOME/.icons et pour tout cela il faut l'extension user-theme https://extensions.gnome.org/extension/19/user-themes/

La gestion de ma musique se fait via navidrome et mes outils de dev via code-server que j'auto-héberge (donc rien de spécial à installer)

Pour les fichiers de configuration

$HOME/.gitconfig

```
[user]
    name = fraoustin
    email = fraoustin@gmail.com
[color]
    ui = true
[alias]
    graph = log --graph --abbrev-commit --pretty='%Cred%h %Cgreen%ad %Cblue%an %Creset%s' --date=short
    graphall = log --graph --abbrev-commit --pretty='%Cred%h %Cgreen%ad %Cblue%an %Creset%s' --date=short --all
    logall = log --graph --pretty='%Cred%h %Cgreen%ad %Cblue%an %Creset%s' --date=short --abbrev-commit --decorate --all
    changes = diff --name-status
[core]
    editor = vim
[log]
    abbrevCommit = true
[merge]
    ff = false
[alias]
    tags = show-ref --abbrev=7 --tags
    graph = log --graph --abbrev-commit --pretty='%Cred%h %Cgreen%ad %Cblue%an %Creset%s' --date=short
    graphall = log --graph --abbrev-commit --pretty='%Cred%h %Cgreen%ad %Cblue%an %Creset%s' --date=short --all
    logall = log --graph --pretty='%Cred%h %Cgreen%ad %Cblue%an %Creset%s' --date=short --abbrev-commit --decorate --all
    history = log --graph --pretty='%Cred%h %Cgreen%ad %Cblue%an %Creset%s' --date=short --abbrev-commit --decorate
    changes = diff --name-status
    sync = !git fetch && git rebase
    undo = git reset --soft HEAD^
    amend = commit --amend
    fixup = !sh -c 'SHA=$(git rev-parse $1) \
        && git commit --fixup $SHA \
        && git rebase -i --autosquash $SHA~' -
    # Utilisation : git fixup {sha1}    
    fetchandreset = !BRANCH=$(git rev-parse --abbrev-ref HEAD) \
        && git fetch origin $BRANCH \
        && git reset --hard origin/$BRANCH
    # Utilisation : git fetchandreset
```

$HOME/.pythonrc

```
#!/usr/bin/env python
# -*- coding: utf-8 -*-
"""
    script for env PYTHONSTARTUP
    pip install rich
"""
import os
import sys

from rich.traceback import install
tb=install()
from rich import get_console
from rich import inspect as rich_inspect
from rich.pretty import Pretty

def inspect(*objects):
    rich_inspect(*objects, methods=True, private=True, dunder=True, sort=False)


def print(*objects, sep=" ", end="\n", file=None, flush= False):
    from rich.console import Console

    write_console = get_console() if file is None else Console(file=file)
    if type(*objects) == str:
        return write_console.print('[bold green]%s' % objects, sep=sep, end=end)
    return write_console.print(Pretty(*objects, expand_all=True), sep=sep, end=end)

class PromptPs(object):
    """
        manage PromptPs
    """
    def __init__(self, prt, env):
        self._prt = prt
        self._env = env
        self.count = 0

    def __str__(self):
        self.count = self.count + 1
        print('[bold #FFA500]%s%d%s' % (self._env, self.count, self._prt), end="")
        return None


class PromptPsSpace(object):
    """
        manage space of PromptPs
    """
    def __init__(self, ps, env):
        self._ps = ps
        self._env = env

    def __str__(self):
        return self._env + '.' * (len(str(self._ps.count)) + len(self._ps._prt))

# Environnement virtuel
env = os.environ.get('VIRTUAL_ENV')
if env:
    env_name = '(%s) ' % os.path.basename(env)
    print("\nVirtualenv '{}'".format(env_name))
else:
    env_name = ''

sys.ps1 = PromptPs(' >>', env_name)
sys.ps2 = PromptPsSpace(sys.ps1, env_name)


class Cls(object):
    """
        clear Terminal
    """
    def __repr__(self):
        sys.ps1.count = 0
        os.system('cls' if os.name == 'nt' else 'clear')
        return ''

cls = Cls()


class Clear(object):
    """
        clear Terminal
    """
    def __repr__(self):
        sys.ps1.count = 0
        os.system('cls' if os.name == 'nt' else 'clear')
        return ''

clear = Clear()

# for linux
try:
    import readline
except ImportError:
    # print "Module readline not available."
    pass
else:
    try:
        # tabulation support
        import rlcompleter

        class TabCompleter(rlcompleter.Completer):
            """
                Completer that supports indenting
            """
            def complete(self, text, state):
                if not text:
                    return ('    ', None)[state]
                else:
                    return rlcompleter.Completer.complete(self, text, state)

        readline.set_completer(TabCompleter().complete)
        readline.parse_and_bind("tab: complete")
    except:
        pass
```

$HOME/.bashrc, j'ajoute

```
alias vi='vim'
export PYTHONSTARTUP=$HOME/.pythonrc
export EDITOR=vim
export TERM=xterm-256color
```

/root/.bashrc, j'ajoutee

```
alias vi='vim'
export PYTHONSTARTUP=$HOME/.pythonrc
export EDITOR=vim
export TERM=xterm-256color
```

et indique pour ajouter le user root en rouge dans le terminal

```
if [ "$color_prompt" = yes ]; then
    PS1='${debian_chroot:+($debian_chroot)}\[\033[31m\]\u@\h\[\033[00m\]:\[\033[33m\]\w\[\033[00m\]\$ '
else
    PS1='${debian_chroot:+($debian_chroot)}\u@\h:\w\$ '
fi
```

et le /root/backup.sh

```
#!/bin/bash
rm -rf /home/fraoustin/Images/Captures\ d’écran
# synchro DS411
NOW=$(date +"%m-%d-%Y %T")
echo "$NOW backup on DS411"
umount /media/Backup
mount -t nfs 192.168.0.56:/volume1/Backup /media/Backup
if [ -f /media/Backup/mount.txt ]; then
    NOW=$(date +"%m-%d-%Y %T")
    echo "$NOW backup on DS411 Backup/Documents"
    rsync -av /home/fraoustin/Documents/ /media/Backup/Documents/
    NOW=$(date +"%m-%d-%Y %T")
    echo "$NOW backup on DS411 Backup/Images"
    rsync -av /home/fraoustin/Images/ /media/Backup/Images/
else
    echo "/media/backup not mount"
fi
umount /media/Backup
umount /media/Work
mount -t nfs 192.168.0.56:/volume2/Work /media/Work
if [ -f /media/Work/mount.txt ]; then
    NOW=$(date +"%m-%d-%Y %T")
    echo "$NOW backup on DS411 Work/Musique"
    rsync -av /home/fraoustin/Musique/ /media/Work/Musique/
else
    echo "/media/Work not mount"
fi
umount /media/Work

numlockx off
/sbin/shutdown -h now "good night"

```

